//package Lee_Kesler_Base;

/*
 * LK.java
 *
 * Created on June 26, 2006, 2:54 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

/**
 *
 * @author ast
 */
 public class LK  {   
    
	LeeKesler LK1;
	Gas1 g1;
		//vapor phase
		//known properties T(K),P(bar)
	//	double P;//bar
		//double T;//K
		double[] pro;               
		double R=8314.5;//j/kmolK
              /*  double Tref=298;
		double Pref=1;
		double vref;*/
	public LK(String gas){
		LK1=new LeeKesler(gas);	
		g1=new Gas1("ch4");	
		pro=new double[10];	
		//vref=LK1.V_TP_LK_V(298,1);
	}	
	public double[] property_SI(String knownpro ,double iv1,double iv2) {		
		return LK1.property_SI(knownpro,iv1,iv2);		
                  }	
	
        //new methods
             
         
    
}


    

